<!DOCTYPE html>
<html lang="en" data-layout-decorate="~{layouts/default-layout}">
  <head id="head">

    <title data-th-text="#{label_edit_entity(#{label_asentammiento})}">
    Edit Asentammiento - Spring Roo application</title>

    <!-- DateTimePicker -->
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.min.css" data-th-href="@{/webjars/datetimepicker/2.5.4/build/jquery.datetimepicker.min.css}" />

  </head>
  

  <body id="body">

    <header role="banner">
      <!-- Content replaced by layout of the page displayed -->
    </header>

    <!-- CONTAINER -->
    <div class="container bg-container">
      <!-- CONTENT -->
      <!--
        Only the inner content of the following tag "section" is included
        within the template, in the section "content"
      -->
      <section data-layout-fragment="content">

        <div class="container-fluid content" data-th-with="collectionLink=${@linkBuilder.of('AsentammientoesCollectionThymeleafController')},itemLink=${@linkBuilder.of('AsentammientoesItemThymeleafController')}">

          <h1 data-th-text="#{label_edit_entity(#{label_asentammiento})}">Edit Asentammiento</h1>

          <!-- FORM -->
          <form class="form-horizontal validate" method="POST" data-th-object="${asentammiento}" data-th-action="${itemLink.to('update').with('asentammiento', asentammiento.id)}">
            <input type="hidden" name="_method" value="PUT" />
            	<input type="hidden" name="version" data-th-value="*{version}" />

            <!-- CONCURRENCY CONTROL -->
            <div data-th-replace="~{fragments/concurrency-control :: concurrency-control(editFormUrl = ${itemLink.to('editForm').with('asentammiento', asentammiento.id)})}"></div>
            <!-- /CONCURRENCY CONTROL -->

             <fieldset id="containerFields">
              <legend class="sr-only" data-th-text="#{label_data_entity(#{label_asentammiento})}">Asentammiento data </legend>

<div class="form-group has-error has-feedback" data-z="322d801a" id="asentammiento-nombre-field" data-th-classappend="${#fields.hasErrors('nombre')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="nombre" class="col-md-3 control-label" data-th-text="#{label_asentammiento_nombre}">nombre</label>
  <div class="col-md-6">
    <input id="nombre" name="nombre" data-th-value="*{{nombre}}" type="text" class="form-control" placeholder="nombre" data-th-placeholder="#{label_asentammiento_nombre}" data-toggle="tooltip" aria-describedby="nombreStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('nombre')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('nombre')}" aria-hidden="true"></span>
      <span id="nombre-error" class="help-block" data-th-if="${#fields.hasErrors('nombre')}" data-th-errors="*{nombre}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="1a044b1a" id="asentammiento-tipozona-field" data-th-classappend="${#fields.hasErrors('tipoZona')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="tipoZona" class="col-md-3 control-label" data-th-text="#{label_asentammiento_tipozona}">tipoZona</label>
  <div class="col-md-6">
    <input id="tipoZona" name="tipoZona" data-th-value="*{{tipoZona}}" type="text" class="form-control" placeholder="tipoZona" data-th-placeholder="#{label_asentammiento_tipozona}" data-toggle="tooltip" aria-describedby="tipoZonaStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('tipoZona')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('tipoZona')}" aria-hidden="true"></span>
      <span id="tipoZona-error" class="help-block" data-th-if="${#fields.hasErrors('tipoZona')}" data-th-errors="*{tipoZona}">Error message.</span>
  </div>
</div>
<div class="form-group has-error has-feedback" data-z="28a5841a" id="asentammiento-tipoasentamiento-field" data-th-classappend="${#fields.hasErrors('tipoAsentamiento')}? 'has-error has-feedback'" data-th-class="form-group">
  <label for="tipoAsentamiento" class="col-md-3 control-label" data-th-text="#{label_asentammiento_tipoasentamiento}">tipoAsentamiento</label>
  <div class="col-md-6">
    <input id="tipoAsentamiento" name="tipoAsentamiento" data-th-value="*{{tipoAsentamiento}}" type="text" class="form-control" placeholder="tipoAsentamiento" data-th-placeholder="#{label_asentammiento_tipoasentamiento}" data-toggle="tooltip" aria-describedby="tipoAsentamientoStatus" required="required" />
      <span data-th-classappend="${#fields.hasErrors('tipoAsentamiento')}? 'glyphicon glyphicon-remove form-control-feedback'" class="glyphicon glyphicon-remove form-control-feedback" data-th-if="${#fields.hasErrors('tipoAsentamiento')}" aria-hidden="true"></span>
      <span id="tipoAsentamiento-error" class="help-block" data-th-if="${#fields.hasErrors('tipoAsentamiento')}" data-th-errors="*{tipoAsentamiento}">Error message.</span>
  </div>
</div>
             </fieldset>


              <!-- buttons form -->
              <div class="form-group">
                <div class="col-md-12">
                  <div class="pull-left">
                    <button type="reset" class="btn btn-default" onclick="location.href='list.html'" data-th-onclick="'location.href=\'' + @{${collectionLink.to('list')}} + '\''" data-th-text="#{label_reset}">Cancel</button>
                  </div>
                  <div class="pull-right">
                    <button type="submit" class="btn btn-primary" data-th-text="#{label_save}">Save</button>
                  </div>
                </div>
              </div>

          </form>
          <!-- /FORM -->

        </div>

      </section>
      <!-- /CONTENT -->
   </div>
   <!-- /CONTAINER -->

   <footer class="container">
    <!-- Content replaced by layout of the page displayed -->
   </footer>

  <!-- JavaScript
  ================================================== -->
  <!-- Placed at the end of the document so that the pages load faster -->
  <!-- JavaScript loaded by layout of the page displayed -->
  <!--
       Only the inner content of the following tag "javascript" is included
       within the template, in the div "javascript"
      -->
  <div data-layout-fragment="javascript">

    <!-- DateTimePicker -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.full.min.js" data-th-src="@{/webjars/datetimepicker/build/jquery.datetimepicker.full.min.js}"></script>
    <script src="../../static/public/js/datetimepicker-defaults.js" data-th-src="@{/public/js/datetimepicker-defaults.js}"></script>

    <!-- jquery.inputmask -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.inputmask/3.3.1/jquery.inputmask.bundle.min.js" data-th-src="@{/webjars/jquery.inputmask/min/jquery.inputmask.bundle.min.js}"></script>
    <script type="text/javascript" data-th-inline="javascript">
      (function(jQuery) {
        jQuery(document).ready(
      	  function() {
      	    Inputmask.extendAliases({
      	      'numeric' : {
      	         'groupSeparator' : /*[[#{label_inputmask_groupSeparator}]]*/'.',
      	         'radixPoint' : /*[[#{label_inputmask_radixPoint}]]*/','
      	       },
      	       'currency' : {
      	          'prefix' : /*[[#{label_inputmask_prefix}]]*/'',
      	          'suffix' : /*[[#{label_inputmask_suffix}]]*/' €'
      	        }
      	    });
      	 });
       })(jQuery);
    </script>
    <script src="../../static/public/js/inputmask-defaults.js" data-th-src="@{/public/js/inputmask-defaults.js}"></script>

    <!-- JQuery Validation -->
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/jquery.validate.min.js" data-th-src="@{/webjars/jquery-validation/dist/jquery.validate.min.js}">
      </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/additional-methods.min.js" data-th-src="@{/webjars/jquery-validation/dist/additional-methods.min.js}">
      </script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.15.0/localization/messages_es.js" data-th-src="@{/webjars/jquery-validation/src/localization/messages_}+${#locale.language}+'.js'" data-th-if="${#locale.language} != 'en'">
      </script>
    <script src="../../static/public/js/validation-defaults.js" data-th-src="@{/public/js/validation-defaults.js}">
      </script>
    <!-- Concurrency control management -->
    <script data-th-src="@{/public/js/concurrency-control.js}"></script>
    <script type="text/javascript" data-th-inline="javascript">
      (function(jQuery) {
         jQuery(document).ready(function() {
      	   jQuery.extend( jQuery.validator.messages, {
      	     'dateformat' : /*[[#{error_invalid_date}]]*/ 'Please enter a correct date/time',
      	     'inputmask': /*[[#{error_invalid_maskValue}]]*/ 'Please enter a valid value',
      	   });
      	 });
      })(jQuery);
      </script>

    </div>

  </body>

</html>
